# Напишите функцию, которая принимает на вход список целых чисел и возвращает наибольшую сумму двух чисел в этом
# списке. Например, для списка [2, 7, 4, 1, 8] функция должна вернуть 15 (сумма 7 и 8).
# Сложность по времени: O(n), по памяти: O(1). Можно решить намного проще - отсортировать по возрастанию и
# просуммировать два последних элемента в массиве - но сложность O(n logn).

def maxSum(array: list[int]) -> int:
    if len(array) < 2:
        raise ValueError("Список должен содержать как минимум два числа")

    max1 = max(array[0], array[1])
    max2 = min(array[0], array[1])

    for num in array[2:]:
        if num > max1:
            max2 = max1
            max1 = num
        elif num > max2:
            max2 = num

    return max1 + max2


if __name__ == "__main__":
    print(maxSum([2, 7, 4, 1, 8]))
